diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
index 1f40fc6..d58807a 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
@@ -1701,27 +1701,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kanchanaburi
+    // Phetchabun
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Kanchanaburi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phetchabun">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kanchanaburi</rdfs:label>
-      <skos:definition>The province of Kanchanaburi in the country of Thailand</skos:definition>
+      <rdfs:label>Phetchabun</rdfs:label>
+      <skos:definition>The province of Phetchabun in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Kanchanaburi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phetchabun</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-71">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-67">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Kanchanaburi in the country of Thailand</skos:definition>
-      <rdfs:label>TH-71</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-71</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Kanchanaburi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Kanchanaburi"/>
+      <skos:definition>subdivision code for the province of Phetchabun in the country of Thailand</skos:definition>
+      <rdfs:label>TH-67</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-67</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phetchabun"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phetchabun"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1731,27 +1731,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nakhon Pathom
+    // Pattani
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonPathom">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Pattani">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nakhon Pathom</rdfs:label>
-      <skos:definition>The province of Nakhon Pathom in the country of Thailand</skos:definition>
+      <rdfs:label>Pattani</rdfs:label>
+      <skos:definition>The province of Pattani in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Pathom</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Pattani</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-73">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-94">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nakhon Pathom in the country of Thailand</skos:definition>
-      <rdfs:label>TH-73</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-73</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonPathom"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonPathom"/>
+      <skos:definition>subdivision code for the province of Pattani in the country of Thailand</skos:definition>
+      <rdfs:label>TH-94</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-94</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Pattani"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Pattani"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1761,27 +1761,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phuket
+    // Yala
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phuket">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Yala">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phuket</rdfs:label>
-      <skos:definition>The province of Phuket in the country of Thailand</skos:definition>
+      <rdfs:label>Yala</rdfs:label>
+      <skos:definition>The province of Yala in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phuket</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Yala</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-83">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-95">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phuket in the country of Thailand</skos:definition>
-      <rdfs:label>TH-83</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-83</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phuket"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phuket"/>
+      <skos:definition>subdivision code for the province of Yala in the country of Thailand</skos:definition>
+      <rdfs:label>TH-95</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-95</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Yala"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Yala"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1791,27 +1791,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chumphon
+    // Samut Prakan
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Chumphon">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SamutPrakan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chumphon</rdfs:label>
-      <skos:definition>The province of Chumphon in the country of Thailand</skos:definition>
+      <rdfs:label>Samut Prakan</rdfs:label>
+      <skos:definition>The province of Samut Prakan in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chumphon</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Samut Prakan</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-86">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-11">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chumphon in the country of Thailand</skos:definition>
-      <rdfs:label>TH-86</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-86</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Chumphon"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Chumphon"/>
+      <skos:definition>subdivision code for the province of Samut Prakan in the country of Thailand</skos:definition>
+      <rdfs:label>TH-11</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-11</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SamutPrakan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SamutPrakan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1821,27 +1821,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Satun
+    // Sing Buri
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Satun">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SingBuri">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Satun</rdfs:label>
-      <skos:definition>The province of Satun in the country of Thailand</skos:definition>
+      <rdfs:label>Sing Buri</rdfs:label>
+      <skos:definition>The province of Sing Buri in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Satun</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Sing Buri</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-91">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-17">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Satun in the country of Thailand</skos:definition>
-      <rdfs:label>TH-91</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-91</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Satun"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Satun"/>
+      <skos:definition>subdivision code for the province of Sing Buri in the country of Thailand</skos:definition>
+      <rdfs:label>TH-17</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-17</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SingBuri"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SingBuri"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1851,27 +1851,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bueng Kan
+    // Saraburi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;BuengKan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Saraburi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bueng Kan</rdfs:label>
-      <skos:definition>The province of Bueng Kan in the country of Thailand</skos:definition>
+      <rdfs:label>Saraburi</rdfs:label>
+      <skos:definition>The province of Saraburi in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Bueng Kan</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Saraburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-38">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-19">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Bueng Kan in the country of Thailand</skos:definition>
-      <rdfs:label>TH-38</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-38</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;BuengKan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;BuengKan"/>
+      <skos:definition>subdivision code for the province of Saraburi in the country of Thailand</skos:definition>
+      <rdfs:label>TH-19</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-19</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Saraburi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Saraburi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1881,27 +1881,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Rayong
+    // Ubon Ratchathani
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Rayong">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;UbonRatchathani">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Rayong</rdfs:label>
-      <skos:definition>The province of Rayong in the country of Thailand</skos:definition>
+      <rdfs:label>Ubon Ratchathani</rdfs:label>
+      <skos:definition>The province of Ubon Ratchathani in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Rayong</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Ubon Ratchathani</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-21">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-34">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Rayong in the country of Thailand</skos:definition>
-      <rdfs:label>TH-21</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-21</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Rayong"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Rayong"/>
+      <skos:definition>subdivision code for the province of Ubon Ratchathani in the country of Thailand</skos:definition>
+      <rdfs:label>TH-34</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-34</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;UbonRatchathani"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;UbonRatchathani"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1911,27 +1911,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chanthaburi
+    // Chaiyaphum
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Chanthaburi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Chaiyaphum">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chanthaburi</rdfs:label>
-      <skos:definition>The province of Chanthaburi in the country of Thailand</skos:definition>
+      <rdfs:label>Chaiyaphum</rdfs:label>
+      <skos:definition>The province of Chaiyaphum in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chanthaburi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chaiyaphum</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-22">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-36">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chanthaburi in the country of Thailand</skos:definition>
-      <rdfs:label>TH-22</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-22</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Chanthaburi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Chanthaburi"/>
+      <skos:definition>subdivision code for the province of Chaiyaphum in the country of Thailand</skos:definition>
+      <rdfs:label>TH-36</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-36</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Chaiyaphum"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Chaiyaphum"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1941,27 +1941,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nan
+    // Udon Thani
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Nan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;UdonThani">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nan</rdfs:label>
-      <skos:definition>The province of Nan in the country of Thailand</skos:definition>
+      <rdfs:label>Udon Thani</rdfs:label>
+      <skos:definition>The province of Udon Thani in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nan</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Udon Thani</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-55">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-41">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nan in the country of Thailand</skos:definition>
-      <rdfs:label>TH-55</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-55</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Nan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Nan"/>
+      <skos:definition>subdivision code for the province of Udon Thani in the country of Thailand</skos:definition>
+      <rdfs:label>TH-41</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-41</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;UdonThani"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;UdonThani"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1971,27 +1971,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phayao
+    // Maha Sarakham
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phayao">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;MahaSarakham">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phayao</rdfs:label>
-      <skos:definition>The province of Phayao in the country of Thailand</skos:definition>
+      <rdfs:label>Maha Sarakham</rdfs:label>
+      <skos:definition>The province of Maha Sarakham in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phayao</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Maha Sarakham</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-56">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-44">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phayao in the country of Thailand</skos:definition>
-      <rdfs:label>TH-56</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-56</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phayao"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phayao"/>
+      <skos:definition>subdivision code for the province of Maha Sarakham in the country of Thailand</skos:definition>
+      <rdfs:label>TH-44</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-44</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;MahaSarakham"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;MahaSarakham"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2001,27 +2001,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nakhon Sawan
+    // Samut Songkhram
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonSawan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SamutSongkhram">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nakhon Sawan</rdfs:label>
-      <skos:definition>The province of Nakhon Sawan in the country of Thailand</skos:definition>
+      <rdfs:label>Samut Songkhram</rdfs:label>
+      <skos:definition>The province of Samut Songkhram in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Sawan</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Samut Songkhram</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-60">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-75">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nakhon Sawan in the country of Thailand</skos:definition>
-      <rdfs:label>TH-60</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-60</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonSawan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonSawan"/>
+      <skos:definition>subdivision code for the province of Samut Songkhram in the country of Thailand</skos:definition>
+      <rdfs:label>TH-75</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-75</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SamutSongkhram"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SamutSongkhram"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2031,27 +2031,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phitsanulok
+    // Songkhla
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phitsanulok">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Songkhla">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phitsanulok</rdfs:label>
-      <skos:definition>The province of Phitsanulok in the country of Thailand</skos:definition>
+      <rdfs:label>Songkhla</rdfs:label>
+      <skos:definition>The province of Songkhla in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phitsanulok</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Songkhla</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-65">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-90">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phitsanulok in the country of Thailand</skos:definition>
-      <rdfs:label>TH-65</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-65</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phitsanulok"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phitsanulok"/>
+      <skos:definition>subdivision code for the province of Songkhla in the country of Thailand</skos:definition>
+      <rdfs:label>TH-90</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-90</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Songkhla"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Songkhla"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2061,27 +2061,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phetchabun
+    // Narathiwat
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phetchabun">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Narathiwat">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phetchabun</rdfs:label>
-      <skos:definition>The province of Phetchabun in the country of Thailand</skos:definition>
+      <rdfs:label>Narathiwat</rdfs:label>
+      <skos:definition>The province of Narathiwat in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phetchabun</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Narathiwat</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-67">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-96">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phetchabun in the country of Thailand</skos:definition>
-      <rdfs:label>TH-67</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-67</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phetchabun"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phetchabun"/>
+      <skos:definition>subdivision code for the province of Narathiwat in the country of Thailand</skos:definition>
+      <rdfs:label>TH-96</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-96</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Narathiwat"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Narathiwat"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2091,27 +2091,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Pattani
+    // Nonthaburi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Pattani">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Nonthaburi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Pattani</rdfs:label>
-      <skos:definition>The province of Pattani in the country of Thailand</skos:definition>
+      <rdfs:label>Nonthaburi</rdfs:label>
+      <skos:definition>The province of Nonthaburi in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Pattani</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nonthaburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-94">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-12">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Pattani in the country of Thailand</skos:definition>
-      <rdfs:label>TH-94</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-94</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Pattani"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Pattani"/>
+      <skos:definition>subdivision code for the province of Nonthaburi in the country of Thailand</skos:definition>
+      <rdfs:label>TH-12</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-12</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Nonthaburi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Nonthaburi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
